WMCPULOAD(1)

NAME
wmcpuload - A dockapp to display CPU usage

SYNOPSIS
wmcpuload [options]

DESCRIPTION
This manual page documents briefly the wmcpuload command. This manual page was written for the Debian GNU/Linux distribution.

WMCPULoad is a dockapp that is supported by X window managers such as Window Maker, AfterStep, BlackBox, and Enlightenment. It displays the current CPU usage, expressed as a percentile and a chart, and has an LCD look-alike user interface. The back-light may be turned on/off by clicking the mouse button over the application. If the CPU usage hits a certain threshold, an alarm-mode will alert you by turning on back-light.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the DISPLAY environment variable is used.

-t, --title <string>
    specify title name

-bl, --backlight
    turn on back-light.

-lc, --light-color <color>
    back-light color (rgb:6E/C6/3B is default)

-i, --interval <number>
    number of secs between updates (1 is default)

-c, --cpu <number> (GNU/Linux / IRIX)
    CPU number to monitor (Counting starts with 0).

-n, --ignore-nice (GNU/Linux / FreeBSD / OpenBSD / NetBSD)
    ignore a nice value

-h, --help
    show help text and exit

-v, --version
    show program version and exit

-w, --windowed
    run the application in windowed mode

-wp, --windowed-withpanel
    run the application in windowed mode with background panel

-bw, --broken-wm
    activate broken window manager fix

-a, --alarm <percentage>
    activate alarm mode. <percentage> is threshold of percentage from 0 to 100.(90 is default)

AUTHOR
WMCPULoad was written by Seiichi SATO <ssato@sh.rim.or.jp>.

This manual page was written by Gordon Fraser <gordon@freakzone.net>, for the Debian GNU/Linux system (but may be used by others).